#include <ESP8266WiFi.h>
int memoire_libre;
int broche = 12;

void setup() {
  Serial.begin(74880);
}

void loop(){
if (Serial.available() > 0) {
    int commande = Serial.read();
    switch (commande) {
      case 'm':
        memoire_libre=ESP.getFreeHeap();
        Serial.print("Mémoire libre: ");
        Serial.println(memoire_libre);
        break;
      case 'h':
        pinMode(broche, OUTPUT);
        digitalWrite(broche, HIGH);
        Serial.print("Broche ");
        Serial.print(broche);
        Serial.println(" configurée à l'état haut");
        break;
      case 'b':
        pinMode(broche, OUTPUT);
        digitalWrite(broche, LOW);
        Serial.print("Broche ");
        Serial.print(broche);
        Serial.println(" configurée à l'état bas");
        break;
    }
  }
}

